# BikeSkin
Date: 2020-04-18

me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins

## Class BikeSkin

- java.lang.Object
- - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part
  - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Colorable
    - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Skin
      - - me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.BikeSkin

    public class BikeSkin
    extends Skin

### Constructor Summary

Constructors
Constructor and Description
`BikeSkin(java.lang.Double xOffset, java.lang.Double yOffset, java.lang.Double zOffset, org.bukkit.inventory.ItemStack skin, org.bukkit.Color color)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `spawnStand(org.bukkit.Location base, SpawnedVehicle owningVehicle)`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.skins.Colorable

`getSkinColored`

### Methods inherited from class me.legofreak107.vehiclesplus.vehicles.vehicles.objects.addons.Part

`applyExtraOffset, despawnStand`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### BikeSkin

    public BikeSkin(java.lang.Double xOffset,
                    java.lang.Double yOffset,
                    java.lang.Double zOffset,
                    org.bukkit.inventory.ItemStack skin,
                    org.bukkit.Color color)

### Method Detail

#### spawnStand

    public void spawnStand(org.bukkit.Location base,
                           SpawnedVehicle owningVehicle)

Overrides:
  `spawnStand` in class `Skin`